---
title: "Update organization details - Xata"
description: "Update information for an existing organization, such as its name."
source: "https://xata.io/docs/api-reference/organizations/update-organization-details"
---

Skip to main content

PUT

/

organizations

/

{organizationID}

Update organization details

```
curl --request PUT
  --url https://api.xata.tech/organizations/{organizationID}
  --header 'Authorization: Bearer <token>'
  --header 'Content-Type: application/json'
  --data '
{
  "id": "<string>",
  "name": "<string>"
}
'
```

```
import requests

url = "https://api.xata.tech/organizations/{organizationID}"

payload = {
    "id": "<string>",
    "name": "<string>"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
```

```
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({id: '<string>', name: '<string>'})
};

fetch('https://api.xata.tech/organizations/{organizationID}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

```


```

```
{
  "id": "<string>",
  "name": "<string>",
  "status": {
    "disabled_by_admin": true,
    "last_updated": "2023-11-07T05:31:56Z",
    "admin_reason": "<string>",
    "billing_reason": "<string>",
    "created_at": "2023-11-07T05:31:56Z"
  },
  "marketplace": "aws"
}
```

```
{
  "message": "<string>",
  "id": "<string>"
}
```

```
{
  "message": "invalid API key"
}
```

```
{
  "message": "invalid API key"
}
```

```
{
  "message": "<string>",
  "id": "<string>"
}
```

#### Authorizations

​

Authorization

string

header

required

The access token received from the authorization server in the OAuth 2.0 flow.

#### Path Parameters

​

organizationID

string

required

Unique identifier for a specific organization

Pattern: `[a-zA-Z0-9_-~:]+`

#### Body

application/json

​

id

string

Unique identifier for the organization to update

Pattern: `[a-zA-Z0-9_-~:]+`

​

name

string

New name for the organization

#### Response

Organization successfully updated

Organization details including ID and name

​

id

string

required

Unique identifier for the organization

Pattern: `[a-zA-Z0-9_-~:]+`

​

name

string

required

Human-readable name of the organization

​

status

object

required

Current status of the organization

Show child attributes

​

marketplace

enum\<string> | null

Marketplace provider for this organization (e.g. "aws"), if billed through a marketplace

Available options:

`aws`

Was this page helpful?

[Previous](/docs/api-reference/organizations/get-organization-details)

[Delete an organization](/docs/api-reference/organizations/delete-an-organization)

[Next](/docs/api-reference/organizations/delete-an-organization)
